Package org.wso2.carbon.task.stub

# Class TaskAdminStub

java.lang.Object
org.apache.axis2.client.Stub
org.wso2.carbon.task.stub.TaskAdminStub

All Implemented Interfaces:
  `TaskAdmin`

public class TaskAdminStub extends org.apache.axis2.client.Stub implements TaskAdmin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.axis2.description.AxisOperation[]`
  `_operations`

  ### Fields inherited from class org.apache.axis2.client.Stub

  `_service, _serviceClient, modules`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAdminStub()`
  Default Constructor
  `TaskAdminStub(String targetEndpoint)`
  Constructor taking the target endpoint
  `TaskAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)`
  Default Constructor
  `TaskAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)`
  Constructor that takes in a configContext
  `TaskAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)`
  Constructor that takes in a configContext and useseperate listner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTaskDescription(org.apache.axiom.om.OMElement extraElement45)`
  Auto generated method signature
  `void`
  `deleteTaskDescription(String s51, String group52)`
  Auto generated method signature
  `void`
  `editTaskDescription(org.apache.axiom.om.OMElement extraElement62)`
  Auto generated method signature
  `String[]`
  `getAllJobGroups()`
  Auto generated method signature
  `TaskData[]`
  `getAllTaskData()`
  Auto generated method signature
  `org.apache.axiom.om.OMElement`
  `getAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement47)`
  Auto generated method signature
  `org.apache.axiom.om.OMElement`
  `getTaskDescription(String s64, String group65)`
  Auto generated method signature
  `boolean`
  `isContains(String s54, String group55)`
  Auto generated method signature
  `org.apache.axiom.om.OMElement`
  `loadTaskClassProperties(String className72, String group73)`
  Auto generated method signature
  `void`
  `startgetAllJobGroups(TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetAllTaskData(TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement47, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetTaskDescription(String s64, String group65, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startisContains(String s54, String group55, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startloadTaskClassProperties(String className72, String group73, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations

  ### Methods inherited from class org.apache.axis2.client.Stub

  `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _operations

    protected org.apache.axis2.description.AxisOperation[] _operations

- ## Constructor Details

  - ### TaskAdminStub

    public TaskAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint) throws org.apache.axis2.AxisFault
    Constructor that takes in a configContext
    Throws:
      `org.apache.axis2.AxisFault`

  - ### TaskAdminStub

    public TaskAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener) throws org.apache.axis2.AxisFault
    Constructor that takes in a configContext and useseperate listner
    Throws:
      `org.apache.axis2.AxisFault`

  - ### TaskAdminStub

    public TaskAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext) throws org.apache.axis2.AxisFault
    Default Constructor
    Throws:
      `org.apache.axis2.AxisFault`

  - ### TaskAdminStub

    public TaskAdminStub() throws org.apache.axis2.AxisFault
    Default Constructor
    Throws:
      `org.apache.axis2.AxisFault`

  - ### TaskAdminStub

    public TaskAdminStub(String targetEndpoint) throws org.apache.axis2.AxisFault
    Constructor taking the target endpoint
    Throws:
      `org.apache.axis2.AxisFault`

- ## Method Details

  - ### addTaskDescription

    public void addTaskDescription(org.apache.axiom.om.OMElement extraElement45) throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `addTaskDescription` in interface `TaskAdmin`
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### getAllTaskDescriptions

    public org.apache.axiom.om.OMElement getAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement47) throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `getAllTaskDescriptions` in interface `TaskAdmin`
    Parameters:
      `getAllTaskDescriptions46` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`
    See Also:
      - `TaskAdmin.getAllTaskDescriptions(org.apache.axiom.om.OMElement)`

  - ### startgetAllTaskDescriptions

    public void startgetAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement47, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetAllTaskDescriptions` in interface `TaskAdmin`
    Parameters:
      `getAllTaskDescriptions46` -
    Throws:
      `RemoteException`
    See Also:
      - `TaskAdmin.startgetAllTaskDescriptions(org.apache.axiom.om.OMElement, org.wso2.carbon.task.stub.TaskAdminCallbackHandler)`

  - ### deleteTaskDescription

    public void deleteTaskDescription(String s51, String group52) throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `deleteTaskDescription` in interface `TaskAdmin`
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### isContains

    public boolean isContains(String s54, String group55) throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `isContains` in interface `TaskAdmin`
    Parameters:
      `isContains53` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`
    See Also:
      - `TaskAdmin.isContains(java.lang.String, java.lang.String)`

  - ### startisContains

    public void startisContains(String s54, String group55, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startisContains` in interface `TaskAdmin`
    Parameters:
      `isContains53` -
    Throws:
      `RemoteException`
    See Also:
      - `TaskAdmin.startisContains(java.lang.String, java.lang.String, org.wso2.carbon.task.stub.TaskAdminCallbackHandler)`

  - ### getAllJobGroups

    public String[] getAllJobGroups() throws RemoteException
    Auto generated method signature
    Specified by:
      `getAllJobGroups` in interface `TaskAdmin`
    Parameters:
      `getAllJobGroups58` -
    Throws:
      `RemoteException`
    See Also:
      - `TaskAdmin.getAllJobGroups()`

  - ### startgetAllJobGroups

    public void startgetAllJobGroups(TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetAllJobGroups` in interface `TaskAdmin`
    Parameters:
      `getAllJobGroups58` -
    Throws:
      `RemoteException`
    See Also:
      - `TaskAdmin.startgetAllJobGroups(org.wso2.carbon.task.stub.TaskAdminCallbackHandler)`

  - ### editTaskDescription

    public void editTaskDescription(org.apache.axiom.om.OMElement extraElement62) throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `editTaskDescription` in interface `TaskAdmin`
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### getTaskDescription

    public org.apache.axiom.om.OMElement getTaskDescription(String s64, String group65) throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `getTaskDescription` in interface `TaskAdmin`
    Parameters:
      `getTaskDescription63` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`
    See Also:
      - `TaskAdmin.getTaskDescription(java.lang.String, java.lang.String)`

  - ### startgetTaskDescription

    public void startgetTaskDescription(String s64, String group65, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetTaskDescription` in interface `TaskAdmin`
    Parameters:
      `getTaskDescription63` -
    Throws:
      `RemoteException`
    See Also:
      - `TaskAdmin.startgetTaskDescription(java.lang.String, java.lang.String, org.wso2.carbon.task.stub.TaskAdminCallbackHandler)`

  - ### getAllTaskData

    public TaskData[] getAllTaskData() throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `getAllTaskData` in interface `TaskAdmin`
    Parameters:
      `getAllTaskData68` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`
    See Also:
      - `TaskAdmin.getAllTaskData()`

  - ### startgetAllTaskData

    public void startgetAllTaskData(TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetAllTaskData` in interface `TaskAdmin`
    Parameters:
      `getAllTaskData68` -
    Throws:
      `RemoteException`
    See Also:
      - `TaskAdmin.startgetAllTaskData(org.wso2.carbon.task.stub.TaskAdminCallbackHandler)`

  - ### loadTaskClassProperties

    public org.apache.axiom.om.OMElement loadTaskClassProperties(String className72, String group73) throws RemoteException, TaskManagementException
    Auto generated method signature
    Specified by:
      `loadTaskClassProperties` in interface `TaskAdmin`
    Parameters:
      `loadTaskClassProperties71` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`
    See Also:
      - `TaskAdmin.loadTaskClassProperties(java.lang.String, java.lang.String)`

  - ### startloadTaskClassProperties

    public void startloadTaskClassProperties(String className72, String group73, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startloadTaskClassProperties` in interface `TaskAdmin`
    Parameters:
      `loadTaskClassProperties71` -
    Throws:
      `RemoteException`
    See Also:
      - `TaskAdmin.startloadTaskClassProperties(java.lang.String, java.lang.String, org.wso2.carbon.task.stub.TaskAdminCallbackHandler)`